Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Typed_SV_Message_Queue Class Template Reference

Defines the header file for the C++ wrapper facade for typed message queues. More...

`#include <Typed_SV_Message_Queue.h>`

Collaboration diagram for ACE_Typed_SV_Message_Queue:

[legend]
List of all members.

## Public Types
enum | { ACE_CREATE = IPC_CREAT, ACE_OPEN = 0, ACE_NOWAIT = IPC_NOWAIT }
## Public Methods
| ACE_Typed_SV_Message_Queue (void)
| ACE_Typed_SV_Message_Queue (key_t external_id, int create=ACE_OPEN, int perms=ACE_DEFAULT_FILE_PERMS)
int | open (key_t external_id, int create=ACE_OPEN, int perms=ACE_DEFAULT_FILE_PERMS)
int | close (void)
int | remove (void)
| ~ACE_Typed_SV_Message_Queue (void)
int | send (const ACE_Typed_SV_Message< T > &mb, int mflags=0)
| Send method. More...
int | recv (ACE_Typed_SV_Message< T > &mb, int mflags=0)
| Recv method. More...
int | get_id (void) const
| Return the id of the underlying <ACE_SV_Message_Queue>. More...
int | control (int option, void *arg=0)
| Control the underlying message queue. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ACE_SV_Message_Queue | message_queue_

## Detailed Description

### template<class T>
class ACE_Typed_SV_Message_Queue< T >

Defines the header file for the C++ wrapper facade for typed message queues.

## Member Enumeration Documentation

template<class T>
anonymous enum

  | Enumeration values:
  ACE_CREATE |
  ACE_OPEN |
  ACE_NOWAIT |

## Constructor & Destructor Documentation

template<class T>
ACE_Typed_SV_Message_Queue< T >::ACE_Typed_SV_Message_Queue | ( | void |  | ) |

template<class T>
ACE_Typed_SV_Message_Queue< T >::ACE_Typed_SV_Message_Queue | ( | key_t | external_id,
|  | int | create = ACE_OPEN,
|  | int | perms = ACE_DEFAULT_FILE_PERMS
| ) |

template<class T>
ACE_Typed_SV_Message_Queue< T >::~ACE_Typed_SV_Message_Queue | ( | void |  | ) |

## Member Function Documentation

template<class T>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::close | ( | void |  | ) |

template<class T>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::control | ( | int | option,
|  | void * | arg = 0
| ) |

| Control the underlying message queue.

template<class T>
void ACE_Typed_SV_Message_Queue< T >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class T>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::get_id | ( | void |  | ) | const

| Return the id of the underlying <ACE_SV_Message_Queue>.

template<class T>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::open | ( | key_t | external_id,
|  | int | create = ACE_OPEN,
|  | int | perms = ACE_DEFAULT_FILE_PERMS
| ) |

template<class T>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::recv | ( | ACE_Typed_SV_Message< T > & | mb,
|  | int | mflags = 0
| ) |

| Recv method.

template<class T>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::remove | ( | void |  | ) |

template<class T>
ACE_INLINE int ACE_Typed_SV_Message_Queue< T >::send | ( | const ACE_Typed_SV_Message< T > & | mb,
|  | int | mflags = 0
| ) |

| Send method.

## Member Data Documentation

template<class T>
ACE_Typed_SV_Message_Queue::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class T>
ACE_SV_Message_Queue ACE_Typed_SV_Message_Queue::message_queue_`[private]`

The documentation for this class was generated from the following files:

- Typed_SV_Message_Queue.h
- Typed_SV_Message_Queue.cpp
- Typed_SV_Message_Queue.i